org.keycloak.adapters

## Class RequestAuthenticator

- java.lang.Object
- - org.keycloak.adapters.RequestAuthenticator

- Direct Known Subclasses:
    AbstractUndertowRequestAuthenticator, CatalinaRequestAuthenticator, JettyRequestAuthenticator

      public abstract class RequestAuthenticator
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AuthChallenge` | `challenge`
    `protected KeycloakDeployment` | `deployment`
    `protected HttpFacade` | `facade`
    `protected static org.jboss.logging.Logger` | `log`
    `protected int` | `sslRedirectPort`
    `protected AdapterTokenStore` | `tokenStore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestAuthenticator(HttpFacade facade, KeycloakDeployment deployment)`
    `RequestAuthenticator(HttpFacade facade, KeycloakDeployment deployment, AdapterTokenStore tokenStore, int sslRedirectPort)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthOutcome` | `authenticate()`
    `protected void` | `completeAuthentication(BearerTokenRequestAuthenticator bearer, String method)`
    `protected void` | `completeAuthentication(OAuthRequestAuthenticator oauth)`
    `protected abstract void` | `completeBearerAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal, String method)`
    `protected abstract void` | `completeOAuthAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal)`
    `protected BasicAuthRequestAuthenticator` | `createBasicAuthAuthenticator()`
    `protected BearerTokenRequestAuthenticator` | `createBearerTokenAuthenticator()`
    `protected abstract OAuthRequestAuthenticator` | `createOAuthAuthenticator()`
    `AuthChallenge` | `getChallenge()`
    `protected abstract String` | `getHttpSessionId(boolean create)`
    `protected boolean` | `verifySSL()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.jboss.logging.Logger log

    - #### facade

          protected HttpFacade facade

    - #### deployment

          protected KeycloakDeployment deployment

    - #### tokenStore

          protected AdapterTokenStore tokenStore

    - #### challenge

          protected AuthChallenge challenge

    - #### sslRedirectPort

          protected int sslRedirectPort

  - ### Constructor Detail

    - #### RequestAuthenticator

          public RequestAuthenticator(HttpFacade facade,
                              KeycloakDeployment deployment,
                              AdapterTokenStore tokenStore,
                              int sslRedirectPort)

    - #### RequestAuthenticator

          public RequestAuthenticator(HttpFacade facade,
                              KeycloakDeployment deployment)

  - ### Method Detail

    - #### getChallenge

          public AuthChallenge getChallenge()

    - #### authenticate

          public AuthOutcome authenticate()

    - #### verifySSL

          protected boolean verifySSL()

    - #### createOAuthAuthenticator

          protected abstract OAuthRequestAuthenticator createOAuthAuthenticator()

    - #### createBearerTokenAuthenticator

          protected BearerTokenRequestAuthenticator createBearerTokenAuthenticator()

    - #### createBasicAuthAuthenticator

          protected BasicAuthRequestAuthenticator createBasicAuthAuthenticator()

    - #### completeAuthentication

          protected void completeAuthentication(OAuthRequestAuthenticator oauth)

    - #### completeOAuthAuthentication

          protected abstract void completeOAuthAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal)

    - #### completeBearerAuthentication

          protected abstract void completeBearerAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal,
                                          String method)

    - #### getHttpSessionId

          protected abstract String getHttpSessionId(boolean create)

    - #### completeAuthentication

          protected void completeAuthentication(BearerTokenRequestAuthenticator bearer,
                                    String method)

Copyright © 2015. All Rights Reserved.